body {
  margin: 0;
  padding: 0;
  color: rgba(255, 255, 255, 0.87);
  background-color: #000000;
}

#app {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hidden {
  display: none;
}

#game-over-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(165, 169, 247, 0.8);
  padding: 20px 80px;
  border-radius: 10px;
  text-align: center;
}

#game-over-modal button {
  background-color: rgb(105, 70, 247);
  border-radius: 8px;
  border: none;
  color: white;
  margin-top: 10px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

#game-start-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(165, 169, 247, 0.8);
  padding: 20px 80px;
  border-radius: 10px;
  text-align: center;
}

#game-start-modal button {
  background-color: rgb(105, 70, 247);
  border-radius: 8px;
  border: none;
  color: white;
  margin-top: 10px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

#pause-modal{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(165, 169, 247, 0.8);
  padding: 20px 80px;
  border-radius: 10px;
  text-align: center;
}

#scoreboard {
  position: absolute;
  top: 10px;
  left: 10px;
  font-size: 18px;
  display: flex;
  gap: 20px;
  flex-direction: column;
  border: 2px solid rgba(165, 169, 247, 0.8);
  border-top: none;
  border-left: none;
  padding: 10px;
  margin: -10px;
}
